function love.load()
	joystick = 1
	numAxes = love.joystick.getNumAxes(joystick)
	numButtons = love.joystick.getNumButtons(joystick)
	numHats = love.joystick.getNumHats(joystick)
	numBalls = love.joystick.getNumBalls(joystick)
end

function love.update(dt)

end

function love.keypressed(key,value)
	if key == "escape" then love.event.push("quit")

	end
end

function round(num, idp)
  return tonumber(string.format("%." .. (idp or 0) .. "f", num))
end

function love.draw()
	love.graphics.print("Axes ("..numAxes..") :",1,1)
	for i=1,numAxes,1 do
		love.graphics.print(i .. " : " .. love.joystick.getAxis(joystick,i),1,15*i)
	end

	local y = (numAxes+2)*15
	love.graphics.print("Buttons ("..numButtons..") :",1,y)
	for i=1,numButtons,1 do
		love.graphics.print(i .. " : " .. tostring(love.joystick.isDown(joystick,i)),1,15*i+y)
	end

	y = y + (numButtons+2)*15
	love.graphics.print("Hats ("..numHats..") :",1,y)
	for i=1,numHats,1 do
		love.graphics.print(i .. " : " .. love.joystick.getHat(joystick,i),1,15*i+y)
	end

	y = y + (numHats+2)*15
	love.graphics.print("Balls ("..numBalls..") :",1,y)
	for i=1,numBalls,1 do
		local dx,dy = love.joystick.getBall(joystick,i)
		love.graphics.print(i .. " : " .. dx .. "x" .. dy ,1,15*i+y)
	end
end